# Copyright (C) 2019 by Kevin L. Mitchell <klmitch@mit.edu>
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied. See the License for the specific language governing
# permissions and limitations under the License.

from schema_res import loader


def validate(*uris):
    """
    A helper that loads one or more schemas and validates them.  This
    can be used in a test suite to ensure that schemas bundled with a
    package are valid.

    :param uris: A sequence of URIs to load and validate.
    :type uris: ``list`` of ``str``
    """

    for uri in uris:
        loader.load_schema(uri, True)
